edu.ucsb.nceas.metacat

## Class DBSimpleQuery

- java.lang.Object
- - edu.ucsb.nceas.metacat.DBSimpleQuery

-     public class DBSimpleQuery
      extends java.lang.Object

  A Class that searches a relational DB for elements and attributes that have free text matches to the query string. It returns a result set consisting of the root nodeid for each document that satisfies the query

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBSimpleQuery()` construct an instance of the DBSimpleQuery class

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Hashtable` | `findDocuments(java.lang.String query)` routine to search the elements and attributes looking to match query
    `java.util.Hashtable` | `findDocuments(java.lang.String query, java.lang.String requestedDoctype)` routine to search the elements and attributes looking to match query
    `static void` | `main(java.lang.String[] args)` the main routine used to test the DBSimpleQuery utility.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DBSimpleQuery

          public DBSimpleQuery()
                        throws java.io.IOException,
                               java.sql.SQLException,
                               java.lang.ClassNotFoundException

      construct an instance of the DBSimpleQuery class

      Generally, one would call the findDocuments() routine after creating an instance to specify the search query

      Parameters:
        `conn` - the JDBC connection that we use for the query
      Throws:
        `java.io.IOException`
        `java.sql.SQLException`
        `java.lang.ClassNotFoundException`

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      the main routine used to test the DBSimpleQuery utility.

      Usage: java DBSimpleQuery

      Parameters:
        `query` - the text to search for in the element and attribute content

    - #### findDocuments

          public java.util.Hashtable findDocuments(java.lang.String query)

      routine to search the elements and attributes looking to match query
      Parameters:
        `query` - the text to search for

    - #### findDocuments

          public java.util.Hashtable findDocuments(java.lang.String query,
                                                   java.lang.String requestedDoctype)

      routine to search the elements and attributes looking to match query
      Parameters:
        `query` - the text to search for
        `requestedDoctype` - the type of documents to return from the query

Copyright © 2023 Regents of the University of California. All Rights Reserved.